<?php
include_once('c_poll_theme_card.php');

class c_page_cab_poll_theme_card_personals extends c_page_cab_poll_theme_card
{
    public $h1='Опросы - карточка темы - участники';

    function block_main()
    {
        $this->page_title();
        if ($this->rec_section['viewer_name']) $this->panel_poll_theme_personals();

    }

    function panel_poll_theme_personals()
    {
        include_once(_DIR_EXT.'/poll/report_poll_theme_personals.php');
        $report_obj=new report_poll_theme_personals();
        $report_obj->theme_id=$this->rec_section['pkey'];
        $report_obj->personals_filter_reffer=$this->rec_section['_reffer'];
        $report_obj->no_use_account_usl_select=1; // показывать всех сотрудников без учета фильтра по текущему аккаунту
        $report_obj->init() ;
        $report_obj->setting() ;
        $report_obj->view_as_HTML(array('debug'=>0));

    }
}

?>
